digiKam Developer Documentation: Digikam::GPSSearchView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::GPSSearchView Class Reference
Inheritance diagram for Digikam::GPSSearchView:

## Public Slots
void | slotClearImages ()
void | slotRefreshMap ()

## Signals
void | signalMapSoloItems (const QList< qlonglong > &idList, const QString &id)

## Public Member Functions
| GPSSearchView (QWidget *const parent, SearchModel *const searchModel, SearchModificationHelper *const searchModificationHelper, ItemFilterModel *const imageFilterModel, QItemSelectionModel *const itemSelectionModel)
| Constructor.
void | changeAlbumFromHistory (SAlbum *const album)
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
void | setActive (bool state)
| Sets the widget active or inactive.
void | setConfigGroup (const KConfigGroup &group) override
| Sets a dedicated config group that will be used to store and reload the state from.
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Constructor & Destructor Documentation

## ◆ GPSSearchView()

Digikam::GPSSearchView::GPSSearchView | ( | QWidget *const | parent,
|  | SearchModel *const | searchModel,
|  | SearchModificationHelper *const | searchModificationHelper,
|  | ItemFilterModel *const | imageFilterModel,
|  | QItemSelectionModel *const | itemSelectionModel
| ) |  |
| explicit

Parameters

  parent | The parent object.
  searchModel | The model that stores the searches.
  searchModificationHelper | The helper instance to perform the searches.
  imageFilterModel | The image model used by displaying the selected images on map.
  itemSelectionModel | The selection model corresponding to the imageFilterModel.

## Member Function Documentation

## ◆ doLoadState()

void Digikam::GPSSearchView::doLoadState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::GPSSearchView::doSaveState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ setActive()

void Digikam::GPSSearchView::setActive | ( | bool | state | ) |

Called when the GPSSearch tab becomes the current/not current tab.

Parameters

  state | When true, the widget is enabled.

## ◆ setConfigGroup()

void Digikam::GPSSearchView::setConfigGroup | ( | const KConfigGroup & | group | ) |
| overridevirtual

If this method is not called, a group based on the object name is used.

You can re-implement this method to pass the group set here to child objects. Don't forget to call this method in your implementation.

Parameters

  group | config group to use for state saving and restoring

Reimplemented from Digikam::StateSavingObject.